import {FormControl} from '@angular/forms';

/************************
 * 登录名称
 */
export function dateValidator(control: FormControl): any {
  if (control.value === undefined || control.value === null) {
    return null;
  }
  if (control.value.length !== 10) {
    return {date: '请使用 yyyy-MM-dd格式'};
  }
  const vDate = new Date(Date.parse(control.value.replace(/-/g, '/')));
  if (isNaN(vDate.getTime())) {
    return {date: '请使用 yyyy-MM-dd格式'};
  }
  return null;
}
